net.dontdrinkandroot.lastfm.api.ws

## Class LastfmResponse

- java.lang.Object
- - net.dontdrinkandroot.lastfm.api.ws.LastfmResponse

All Implemented Interfaces:
  Serializable

    public class LastfmResponse
    extends Object
    implements Serializable

Encapsulates the last.fm response, this means the deserialized Xml Document and the Expiration as returned by the HTTP header.

Author:
  Philip W. Sorst
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`LastfmResponse(Document doc, Long expiration)`

### Method Summary

Methods
`Document` `getDocument()`
`Long` `getExpiration()`
`void` `setDocument(Document doc)`
`void` `setExpiration(Long expiration)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LastfmResponse

    public LastfmResponse(Document doc,
                  Long expiration)

### Method Detail

#### getDocument

    public final Document getDocument()

#### setDocument

    public final void setDocument(Document doc)

#### getExpiration

    public final Long getExpiration()

#### setExpiration

    public final void setExpiration(Long expiration)